WU-FTPD ABOR Command Arbitrary File Access

Medium Nessus Plugin ID 14301


The remote FTP server seems to be vulnerable to a remote privilege escalation.


The version of WU-FTPD running on the remote host contains a flaw that may allow a malicious user to gain access to unauthorized privileges.

Specifically, there is a flaw in the way that the server handles an ABOR command after a data connection has been closed. The flaw is within the dologout() function and proper exploitation will give the remote attacker the ability to execute arbitrary code as the 'root' user.

This flaw may lead to a loss of confidentiality and/or integrity.

*** Nessus solely relied on the banner of the remote server
*** to issue this warning, so it may be a false positive.


Upgrade to Wu-FTPd 2.4.2 or newer

See Also



Plugin Details

Severity: Medium

ID: 14301

File Name: wu_ftpd_abor_priviledge_escalation.nasl

Version: $Revision: 1.17 $

Type: remote

Family: FTP

Published: 2004/08/17

Modified: 2016/09/26

Dependencies: 10092, 10079

Risk Information

Risk Factor: Medium


Base Score: 5.5

Vector: CVSS2#AV:N/AC:L/Au:S/C:P/I:P/A:N

Vulnerability Information

Required KB Items: ftp/login, ftp/wuftpd, Settings/ParanoidReport

Vulnerability Publication Date: 1997/01/04

Reference Information

CVE: CVE-1999-1326

OSVDB: 8718